service_token_roles_required missing in the server config file

Bug #1778198 reported by Iago Santos on 2018-06-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-cloudkitty
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ec2api
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-freezer
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-glare
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-gnocchi
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-heat
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ironic
Status tracked in Stein
Stein
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-mistral
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-neutron
Undecided
Iago Santos
puppet-nova
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-panko
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-placement
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-sahara
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-senlin
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-vitrage
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-watcher
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-zaqar
Undecided
zhongshengping
Stein
Undecided
zhongshengping

Bug Description

Service_token_roles_required missing in the server config file which allows backwards compatibility to ensure that the service tokens are compared against a list of possible roles for validity.

Iago Santos (isantospa) on 2018-06-22
description: updated
Changed in puppet-neutron:
assignee: nobody → Iago Santos (isantospa)

Fix proposed to branch: master
Review: https://review.openstack.org/577381

Changed in puppet-neutron:
status: New → In Progress

Reviewed: https://review.openstack.org/577381
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=38285dc8792da30a97b5d5bfa17c687d51270ca8
Submitter: Zuul
Branch: master

commit 38285dc8792da30a97b5d5bfa17c687d51270ca8
Author: Iago Santos Pardo <email address hidden>
Date: Fri Jun 22 11:36:52 2018 +0200

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ib26a4888425fe5dbaf4beca9ef0b7a2dad887551
    Implements: bug service_token_roles_required missing
    Closes-Bug: 1778198

Changed in puppet-neutron:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-neutron 13.3.0 release.

zhongshengping (chdzsp) on 2019-02-14
Changed in puppet-nova:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/636865

Changed in puppet-nova:
status: New → In Progress
zhongshengping (chdzsp) on 2019-02-14
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/636868

Changed in puppet-aodh:
status: New → In Progress
zhongshengping (chdzsp) on 2019-02-14
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cloudkitty:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-02-15
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-02-15
Changed in puppet-ec2api:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-freezer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glare:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-gnocchi:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-heat:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-02-15
Changed in puppet-mistral:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-panko:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-placement:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-sahara:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-02-15
Changed in puppet-senlin:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-watcher:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2019-02-15
Changed in puppet-zaqar:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/637086

Changed in puppet-placement:
status: New → In Progress
Changed in puppet-freezer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637087

Changed in puppet-watcher:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637088

Changed in puppet-congress:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637089

Changed in puppet-gnocchi:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637090

Changed in puppet-panko:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637091

Changed in puppet-cloudkitty:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637092

Changed in puppet-zaqar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637093

Changed in puppet-glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637094

Changed in puppet-ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637095

Changed in puppet-sahara:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637097

Changed in puppet-glare:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637096

Changed in puppet-manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637098

Changed in puppet-trove:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637099

Changed in puppet-senlin:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637100

Changed in puppet-tacker:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637101

Changed in puppet-ec2api:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637102

Changed in puppet-magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637103

Changed in puppet-mistral:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637104

Changed in puppet-vitrage:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637105

Changed in puppet-barbican:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637106

Changed in puppet-heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637107

Changed in puppet-cinder:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637108

Changed in puppet-ironic:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637109

Changed in puppet-octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/637111

Changed in puppet-designate:
status: New → In Progress

Reviewed: https://review.openstack.org/637087
Committed: https://git.openstack.org/cgit/openstack/puppet-freezer/commit/?id=2b5fdbab82a5e26ef58c1f9993735206ce64d870
Submitter: Zuul
Branch: master

commit 2b5fdbab82a5e26ef58c1f9993735206ce64d870
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:02 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I95089f9f1d5039d7d14e3850535536ec1804fdb1
    Closes-Bug: 1778198

Changed in puppet-freezer:
status: In Progress → Fix Released
Changed in puppet-glare:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637096
Committed: https://git.openstack.org/cgit/openstack/puppet-glare/commit/?id=ca01ea10471bcfbf5f07b2fcf8dd0fee97850fe0
Submitter: Zuul
Branch: master

commit ca01ea10471bcfbf5f07b2fcf8dd0fee97850fe0
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:03 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ic7613f0e384bc7ec7e0122b26a1abed5d659dd0a
    Closes-Bug: 1778198

Changed in puppet-congress:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637089
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=c1e3f13bd75bc58dc8b0975bd00656d919cb04cd
Submitter: Zuul
Branch: master

commit c1e3f13bd75bc58dc8b0975bd00656d919cb04cd
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:01 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I95abaa0720ad38378dadf6d97114ee4f255d9713
    Closes-Bug: 1778198

Changed in puppet-magnum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637103
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=f2d968ac6e07ddb0196622999c156b2f54ba5ef1
Submitter: Zuul
Branch: master

commit f2d968ac6e07ddb0196622999c156b2f54ba5ef1
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:05 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I18250b18ec48329bbaba6c6fbfd2a255abc92d56
    Closes-Bug: 1778198

Changed in puppet-cloudkitty:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637092
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=00bb6c3f929b9d5c8e2eee57100309a33bff71c7
Submitter: Zuul
Branch: master

commit 00bb6c3f929b9d5c8e2eee57100309a33bff71c7
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:01 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I4a7b2b79527543d96a8967a792e11870100ad1c3
    Closes-Bug: 1778198

Reviewed: https://review.openstack.org/637100
Committed: https://git.openstack.org/cgit/openstack/puppet-senlin/commit/?id=865209bd1b8c9f9cfcee36ce563a270c145d2b65
Submitter: Zuul
Branch: master

commit 865209bd1b8c9f9cfcee36ce563a270c145d2b65
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:09 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I985f74ca445fab6be1a7d8bf3f33531f0330149a
    Closes-Bug: 1778198

Changed in puppet-senlin:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637111
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=f78d430045daebaef5be00014f6907ca696343f6
Submitter: Zuul
Branch: master

commit f78d430045daebaef5be00014f6907ca696343f6
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:07 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I032fb3af06e1183612921a00c34e1c059423dc4f
    Closes-Bug: 1778198

Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637095
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=0ad4f6296db0a0b31d861ede9e15157cf265c0bd
Submitter: Zuul
Branch: master

commit 0ad4f6296db0a0b31d861ede9e15157cf265c0bd
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:02:59 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ia79d517dd64720ba8ba00c5d572ec2dbf66bf831
    Closes-Bug: 1778198

Changed in puppet-ceilometer:
status: In Progress → Fix Released
Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637106
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=26abc42c2bb150179eab154ad264aa240e066494
Submitter: Zuul
Branch: master

commit 26abc42c2bb150179eab154ad264aa240e066494
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:02:59 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I654cf1564607f6c4ac47db0987d2a86e335a3f89
    Closes-Bug: 1778198

Changed in puppet-designate:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637113
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=4055441565c495053f21357ad7f557c832c04d6f
Submitter: Zuul
Branch: master

commit 4055441565c495053f21357ad7f557c832c04d6f
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:12:48 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I83d3b7ef866e2fb576edb866e60121a0789ef14d
    Closes-Bug: 1778198

Changed in puppet-aodh:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/636868
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=d3b2dd80abc0a3a0dc9ae9ed9c417a11b38183b7
Submitter: Zuul
Branch: master

commit d3b2dd80abc0a3a0dc9ae9ed9c417a11b38183b7
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Feb 14 17:27:04 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I75c8036cfd0e538309f11284a087753c50d12394
    Closes-Bug: 1778198

Changed in puppet-watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637088
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=a3f83dfe1fd57db31666dc2463783ffd9274597c
Submitter: Zuul
Branch: master

commit a3f83dfe1fd57db31666dc2463783ffd9274597c
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:11 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I035313023dfb6efd29b6706262490c78da3557e1
    Closes-Bug: 1778198

Reviewed: https://review.openstack.org/637102
Committed: https://git.openstack.org/cgit/openstack/puppet-ec2api/commit/?id=1c40ef70f3b0f8aeab08d55234541ffc45aef5e7
Submitter: Zuul
Branch: master

commit 1c40ef70f3b0f8aeab08d55234541ffc45aef5e7
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:02 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Idd23d6b6d3c2bd1d81d9387cacb4471599e56e88
    Closes-Bug: 1778198

Changed in puppet-ec2api:
status: In Progress → Fix Released
Changed in puppet-sahara:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637097
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=efbeaaab251704eb4c4d64ec8f22ed1c5a3b8fb4
Submitter: Zuul
Branch: master

commit efbeaaab251704eb4c4d64ec8f22ed1c5a3b8fb4
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:08 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ic91e102c937ccef8cad97eeebbb97d8b560e12e8
    Closes-Bug: 1778198

Reviewed: https://review.openstack.org/637090
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=2a8829a49541661e40d76ec7e942630286639dce
Submitter: Zuul
Branch: master

commit 2a8829a49541661e40d76ec7e942630286639dce
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:03 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ifa0f44dfb516b98eb051f536bf900e6b05c11f2f
    Closes-Bug: 1778198

Changed in puppet-gnocchi:
status: In Progress → Fix Released
Changed in puppet-trove:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637099
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=42128008522805333bf29ea725fd30bf914abd79
Submitter: Zuul
Branch: master

commit 42128008522805333bf29ea725fd30bf914abd79
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:10 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ie5ad7f2438c922692b4d7df60cd68a6afadb3a72
    Closes-Bug: 1778198

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637098
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=fa35dc12a94eee58c413cc9d7b433994cda7bb0d
Submitter: Zuul
Branch: master

commit fa35dc12a94eee58c413cc9d7b433994cda7bb0d
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:06 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ic46519231da4dd54c139176d25292e0b15609c26
    Closes-Bug: 1778198

Changed in puppet-panko:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637091
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=2314267cbc26db87ccf3b6ffdc5ec6d2de8ea3a6
Submitter: Zuul
Branch: master

commit 2314267cbc26db87ccf3b6ffdc5ec6d2de8ea3a6
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:08 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I44c3a50205fd65dcdc02f136bc2da0232681522f
    Closes-Bug: 1778198

Reviewed: https://review.openstack.org/637108
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=f51903716fd828b3656bb0277804fe0470d9f8a9
Submitter: Zuul
Branch: master

commit f51903716fd828b3656bb0277804fe0470d9f8a9
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:00 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ic8e5badec98f5d14e71a36d303f9a7f01962f1d3
    Closes-Bug: 1778198

Changed in puppet-cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637104
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=80ad0c8ded68d8f99975f4e835f8fd8fc5bb8634
Submitter: Zuul
Branch: master

commit 80ad0c8ded68d8f99975f4e835f8fd8fc5bb8634
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:07 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I01f559f8333853bcbdfa131e690bf9e079b320ac
    Closes-Bug: 1778198

Changed in puppet-mistral:
status: In Progress → Fix Released
Changed in puppet-ironic:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637109
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=dd3f372f3b3b460ccefba2cae08423bea38b5ada
Submitter: Zuul
Branch: master

commit dd3f372f3b3b460ccefba2cae08423bea38b5ada
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:05 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I3d3923a7318ec572a6af4b1c76be07323563c79f
    Closes-Bug: 1778198

Reviewed: https://review.openstack.org/637093
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=76401536840f375ad7f1cdbe5e8141416e011639
Submitter: Zuul
Branch: master

commit 76401536840f375ad7f1cdbe5e8141416e011639
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:11 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I751b3a94c3aac7a0faf638afea0168769589b71d
    Closes-Bug: 1778198

Changed in puppet-zaqar:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637094
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=ec00aca117476cc985a5cf36cccb9ac0b60ca0dd
Submitter: Zuul
Branch: master

commit ec00aca117476cc985a5cf36cccb9ac0b60ca0dd
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:02 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I49828052bdf33391edcd962fc6c4208c715e377a
    Closes-Bug: 1778198

Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637107
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=532ab0ec883094dcd532e4da9f04bbd8f0047ee0
Submitter: Zuul
Branch: master

commit 532ab0ec883094dcd532e4da9f04bbd8f0047ee0
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:04 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ia22d5b59adea42c4f3d0792bf83b92fa0e11b0c5
    Closes-Bug: 1778198

Changed in puppet-heat:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/636865
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=4042642e4941bf3dac5d305c876726a47a1ebf6f
Submitter: Zuul
Branch: master

commit 4042642e4941bf3dac5d305c876726a47a1ebf6f
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Feb 14 17:23:07 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I826a09ede0d15502da69cd0b48c5e54854e07f6c
    Closes-Bug: 1778198

Changed in puppet-nova:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637101
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=c4578fe8734c8e3fad530d3fa88d802430313c4f
Submitter: Zuul
Branch: master

commit c4578fe8734c8e3fad530d3fa88d802430313c4f
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:09 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Id294e4db5591a98edce5d726e8f79b1a6f3419ed
    Closes-Bug: 1778198

Changed in puppet-tacker:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637086
Committed: https://git.openstack.org/cgit/openstack/puppet-placement/commit/?id=015d353f0ba78e3f420c5a740eb1c96be595f15c
Submitter: Zuul
Branch: master

commit 015d353f0ba78e3f420c5a740eb1c96be595f15c
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:08 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: I1ddaeaef16995c80dae8389de9b50cc517bbf53f
    Closes-Bug: 1778198

Changed in puppet-placement:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/637105
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=89ca7a041c6ddd6ca6ae56b62a41a7b155ee2557
Submitter: Zuul
Branch: master

commit 89ca7a041c6ddd6ca6ae56b62a41a7b155ee2557
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 15 10:03:10 2019 +0800

    Service_token_roles_required missing in the server config file

    Service_token_roles_required missing in the server config file which
    allows backwards compatibility to ensure that the service tokens are
    compared against a list of possible roles for validity.

    Change-Id: Ie750c55189323d0cc1c50d00141e35a5a43aa8d0
    Closes-Bug: 1778198

This issue was fixed in the openstack/puppet-aodh 14.3.0 release.

This issue was fixed in the openstack/puppet-barbican 14.3.0 release.

This issue was fixed in the openstack/puppet-ceilometer 14.3.0 release.

This issue was fixed in the openstack/puppet-cinder 14.3.0 release.

This issue was fixed in the openstack/puppet-congress 14.3.0 release.

This issue was fixed in the openstack/puppet-designate 14.3.0 release.

This issue was fixed in the openstack/puppet-ec2api 14.3.0 release.

This issue was fixed in the openstack/puppet-glance 14.3.0 release.

This issue was fixed in the openstack/puppet-gnocchi 14.3.0 release.

This issue was fixed in the openstack/puppet-heat 14.3.0 release.

This issue was fixed in the openstack/puppet-ironic 14.3.0 release.

This issue was fixed in the openstack/puppet-magnum 14.3.0 release.

This issue was fixed in the openstack/puppet-manila 14.3.0 release.

This issue was fixed in the openstack/puppet-mistral 14.3.0 release.

This issue was fixed in the openstack/puppet-nova 14.3.0 release.

This issue was fixed in the openstack/puppet-octavia 14.3.0 release.

This issue was fixed in the openstack/puppet-panko 14.3.0 release.

This issue was fixed in the openstack/puppet-sahara 14.3.0 release.

This issue was fixed in the openstack/puppet-tacker 14.3.0 release.

This issue was fixed in the openstack/puppet-trove 14.3.0 release.

This issue was fixed in the openstack/puppet-vitrage 4.3.0 release.

This issue was fixed in the openstack/puppet-watcher 14.3.0 release.

This issue was fixed in the openstack/puppet-zaqar 14.3.0 release.

This issue was fixed in the openstack/puppet-cloudkitty 3.4.0 release.

This issue was fixed in the openstack/puppet-freezer 3.4.0 release.

This issue was fixed in the openstack/puppet-glare 3.4.0 release.

This issue was fixed in the openstack/puppet-placement 1.2.0 release.

This issue was fixed in the openstack/puppet-senlin 1.2.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers